> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lock Card

> Lock a card. Immediately prevents further transactions. Card can be unlocked immediately using the unlock endpoint.

Card Lock & Unlock functionality is designed for client use.




## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /cards/lock
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cards/lock:
    post:
      tags:
        - Cards
      summary: Lock Card
      description: >
        Lock a card. Immediately prevents further transactions. Card can be
        unlocked immediately using the unlock endpoint.


        Card Lock & Unlock functionality is designed for client use.
      operationId: lockCard
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                cardAccountId:
                  type: string
                  format: uuid
                  description: Card account ID of the card to be locked
                cardId:
                  type: string
                  format: uuid
                  description: ID of the card to suspend
      responses:
        '200':
          description: Card Lock Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Card'
components:
  schemas:
    Card:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: >-
            Card ID of issued card. All card related endpoints require this ID
            for operation.
        cardAccountId:
          type: string
          format: uuid
          description: Card account ID of the card
        xid:
          $ref: '#/components/schemas/Xid'
        xmetadata:
          $ref: '#/components/schemas/Xmetadata'
        status:
          type: string
          enum:
            - active
            - pending-issue
            - pending-activation
            - locked
            - suspended
            - cancelled
        embossedName:
          type: string
          description: Embossed name on the card
        network:
          type: string
          description: Card network
          enum:
            - mastercard
        product:
          $ref: '#/components/schemas/CardProduct'
          type: object
          description: Card product
        expiryMonth:
          type: string
          description: Card expiry month
          example: 9
        expiryYear:
          type: string
          description: Card expiry month
          example: 2030
        last4:
          type: string
          description: Last 4 digits of the card number
        replacedBy:
          type: string
          description: Card id of the card that replaced this card
        cardLimit:
          type: number
          description: Card limit
        dailyAtmLimit:
          type: number
          description: Daily ATM limit
        dailyPurchaseLimit:
          type: number
          description: Daily Purchase limit
        dailyLimit:
          type: number
          description: Daily limit
        singleTransactionLimit:
          type: number
          description: Single transaction limit
        availableLimit:
          type: number
          description: >-
            Available limit chargeable on the card, taking into account all
            limits.
        cardPresentLimit:
          type: number
          description: Card present limit.
        cardNotPresentLimit:
          type: number
          description: Card not present limit.
        mobile:
          type: string
          description: Card cell phone number
        cardEmail:
          type: string
          format: email
          description: Email address associated with the card
          example: john.doe@example.com
    Id:
      type: string
      format: uuid
      description: ID of resource
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
    CardProduct:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
          type: string
          format: uuid
          description: Card product ID
        name:
          type: string
          description: Product name
        imageUrl:
          type: string
          description: Card product image URL, an image of card face without any embossing
        cardType:
          type: string
          description: Card Type
        cardImageDetails:
          type: object
          properties:
            cardOrientation:
              type: string
              enum:
                - LANDSCAPE
                - PORTRAIT
            cardWidth:
              type: string
              description: Card image width
            cardHeight:
              type: string
              description: Card image height
            cardNameFontSize:
              type: string
              description: Card Name Font Size
            cardNameFontWeight:
              type: string
              description: Card Name Font Weight
            cardNameLineHeight:
              type: string
              description: Card Name Line Height
            cardNameLetterSpacing:
              type: string
              description: Card Name Letter Spacing
            cardNamePosition:
              type: string
              description: Card position
            cardNameCoordinates:
              type: array
              items:
                type: number
              description: Coordinates of embossed name on the card image
            cardNameColor:
              type: string
              description: Card Name Color
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````